<?php
				/** Partie section 1*/
	//global $scolomfr, $lang, $sectionActive;
	//Titre general
	$titres = array();

	foreach (variableGlobal::$scolomfr->abeLOMgetGeneralTitleKeys() as $key) {
			array_push($titres, $key.":".variableGlobal::$scolomfr->abeLOMgetGeneralTitle($key));
	}

	//Langue generale
	$generalLanguage = variableGlobal::$scolomfr->abeLOMgetGeneralLanguage();
	if(is_array($generalLanguage)){
		if(count($generalLanguage) == 0)
			$generalLanguage = "";
		else
			$generalLanguage = $generalLanguage[0];
	}

	//Description generale
	$description = array();
	foreach (variableGlobal::$scolomfr->abeLOMgetGeneralDescriptionKeys() as $key) {
		foreach (variableGlobal::$scolomfr->abeLOMgetGeneralDescription($key) as  $value) {
			array_push($description, $key.":".$value);
		}	
	}



	//Mot clé
	//$listeMotCle = variableGlobal::$scolomfr->abeLOMgetGeneralKeywords(variableGlobal::$lang);
	$listeMotCle = array();
	foreach (variableGlobal::$scolomfr->abeLOMgetGeneralKeywordKeys() as $key) {

		foreach (variableGlobal::$scolomfr->abeLOMgetGeneralKeywords($key) as  $value) {
			array_push($listeMotCle, $key.":".$value);
		}	
	}

	//Couverture
	//$couverture = variableGlobal::$scolomfr->abeLOMgetGeneralCoverage(variableGlobal::$lang);

	$couverture = array();
	foreach (variableGlobal::$scolomfr->abeLOMgetGeneralCoverageKeys() as $key) {

		foreach (variableGlobal::$scolomfr->abeLOMgetGeneralCoverage($key) as  $value) {
			array_push($couverture, $key.":".$value);
		}	
	}


	//Structure
	$structure = variableGlobal::$scolomfr->abeLOMgetGeneralStructure();
	$structureTab = explode(";", $structure);
	$structure = $structureTab[1]; 

	//Niveau d'agrégation
	$niveauAgregation = variableGlobal::$scolomfr->abeLOMgetGeneralAggregationLevel();
	$niveauAgregationTab = explode(";", $niveauAgregation);
	$niveauAgregation = $niveauAgregationTab[1];

	//Type documentaire
	$typeDocumentaireBrut = variableGlobal::$scolomfr->abeLOMgetGeneralDocumentType(); //Tableau
	$typeDocumentaire = array();
	if(count($typeDocumentaireBrut)){
		foreach ($typeDocumentaireBrut as $key => $value) {
			$valueTab = explode(";", $value);
			$value = $valueTab[1];
			array_push($typeDocumentaire, $value);
		}
	}

	//Typologie générale de documents

	$typologieGeneraleBrut = variableGlobal::$scolomfr->abeLOMgetGeneralDocumentTypology();
	$typologieGenerale = array();
	if(count($typologieGeneraleBrut)){
		foreach ($typologieGeneraleBrut as $key => $value) {
			$valueTab = explode(";", $value);
			$value = $valueTab[1];
			array_push($typologieGenerale, $value);
		}
	}
?>

	<div id="formSection1" style="display:block;">
		<h3>Section 1 : Général</h3>
		<input type="hidden" value="0" name="validationAbuleduPourcentage" id="validationAbuleduPourcentage">

		<!-- Titre general -->
		<legend>Titre</legend>
	  	<div class="form-group">
		    <label for="titreGeneral" class="col-sm-2 control-label">Titre</label>
		 
		    <div class="col-sm-2">
		    		<select class="form-control" id="langue-titreGeneral">
		    			<?php
						foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
							echo "<option value =".$key.">". $value ."</option>";
						}
						?>
		    		</select>
		    </div>
		    <div class="col-sm-6">
		    	<div class="input-group">
		      		<input type="text" class="form-control" id="titreGeneral" name="titreGeneral" placeholder="Titre général" >
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="ajout('titreGeneral');" type="button">Ajouter</button>
	      			</span>		    	
		    	</div>
		    </div>
	  	</div>
	  	<div class="form-group">
	  		<label for="liste-titreGeneral" class="col-sm-2 control-label">Liste Titre</label>
		    <div class="col-sm-8">
		    	<div class="input-group">
			    	<select placeholder="Liste des titres du document" class="form-control requiredList" name="liste-titreGeneral[]" size="2"  id="liste-titreGeneral" multiple >
			    		<?php
			    		foreach ($titres as $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php		    			
			    		}
			    		?>
			    	</select>
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="supprime('titreGeneral');" type="button">Supprimer</button>
	      			</span>				    	
			    </div>
		    </div>		  		
	  	</div>


		<legend>Langue</legend>
	  <!-- Langue generale -->
	  	<div class="form-group">
		    <label for="generalLanguage" class="col-sm-2 control-label">Langue</label>
		    <div class="col-sm-4">
			    <select name="generalLanguage" id="generalLanguage" class="form-control">
					<?php 
						foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $value) {
							echo "<option>". $value ."</option>";
						}
					?>
				</select>
		    </div>
	  	</div>

	 	<!-- 1.4 Description general -->
	 	<legend>Description</legend>
	 	<div class="form-group">
		    <label for="descriptionGenerale" class="col-sm-2 control-label">Description</label>
	    	<div class="col-sm-2">
	    		<select class="form-control" id="langue-descriptionGenerale">
	    			<?php
					foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
						echo "<option value =".$key.">". $value ."</option>";
					}
					?>
	    		</select>
		    </div>
		    <div class="col-sm-6">
		    	<div class="input-group">
		      		<textarea class="form-control" rows="2" name="descriptionGenerale" placeholder="Déscription générale" id="descriptionGenerale"></textarea>
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="ajout('descriptionGenerale');" type="button">Ajouter</button>
	      			</span>
		      	</div>
		    </div>
	  	</div>
	  	<div class="form-group">
		    <label for="liste-descriptionGenerale" class="col-sm-2 control-label">Liste description</label>
		    <input type="hidden" id="listeTmpDescription">
		    <div class="col-sm-8">
		    	<div class="input-group">
			    	<select class="form-control requiredList" placeholder="Liste des descriptions du document" name="liste-descriptionGenerale[]" size="2"  id="liste-descriptionGenerale" multiple >
			    		<?php
			    		foreach ($description as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php		    			
			    		}
			    		?>
			    	</select>
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="supprime('descriptionGenerale');" type="button">Supprimer</button>
	      			</span>				    	
			    </div>
		    </div>	  		
	  	</div>


	  	<legend>Mots clés</legend>
		<!-- 1.5 Mots clés -->
	  	<div class="form-group">
			<label for="motCle" class="col-sm-2 control-label">Mots clés</label>
			<div class="col-sm-1">
				<select class="form-control" id="langue-motCle">
	    			<?php
					foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
						echo "<option value =".$key.">". $value ."</option>";
					}
					?>
				</select>
			</div>
			<div class="col-sm-4">
				<div class="input-group">
					<input type="text" class="form-control" id="motCle" placeholder="mot clé" />
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="ajout('motCle');" type="button">Ajouter</button>
	      			</span>
	      		</div>
			</div>
			<div class="col-sm-3">
				<div class="input-group">
	      			<select id="liste-motCle"  placeholder="Mot-clé" name="liste-motCle[]" size="1" class="form-control requiredList" multiple>
						<?php
						foreach ($listeMotCle as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('motCle');" type="button">
	        				Supprimer
	        			</button>
	      			</span>	      			
		      	</div>
			</div>
	  	</div>

	  	<legend>Couverture</legend>
	  	<!-- 1.6 Couverture -->
	  	<div class="form-group">
			<label for="couverture" class="col-sm-2 control-label">Couverture</label>
			<div class="col-sm-1">
				<select class="form-control" id="langue-couverture">
	    			<?php
					foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
						echo "<option value =".$key.">". $value ."</option>";
					}
					?>
				</select>
			</div>
			<div class="col-sm-4">
				<div class="input-group">
					<input type="text" class="form-control" id="couverture" placeholder="L'étendue ou la portée du contenu de la ressource" />
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="ajout('couverture');" type="button">Ajouter</button>
	      			</span>	
				</div>
			</div>
			<div class="col-sm-3">
				<div class="input-group">
					<select class="form-control" name="liste-couverture[]" id="liste-couverture" size="1" multiple>
						<?php
						foreach ($couverture as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
					</select>
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="supprime('couverture');" type="button">Supprimer</button>
	      			</span>						
				</div>
			</div>
	  	</div>

	  	<legend>Structure</legend>
	  	<!-- 1.7 Structure -->
	  	<div class="form-group">
		    <label for="generalStructure" class="col-sm-2 control-label">Structure</label>
		    <div class="col-sm-4">
			    <select name="generalStructure" id="generalStructure" class="form-control">
			    	<option>Non renseignée</option>
					<?php 

						foreach (variableGlobal::$scolomfr->abeLOMgetGeneralStructureVocabLOM() as $key => $value) {
							?>
							<option value="<?php echo $key; ?>" <?php if($value == $structure) echo 'selected="selected"';?> ><?php echo $value ;?></option>
							<?php
						}
					?>
				</select>
		    </div>
	  	</div>

		<legend>Niveau d'agrégation</legend>
	   	<!-- 1.8 Niveau d'agregation -->
	  	<div class="form-group">
		    <label for="niveauAgregation" class="col-sm-2 control-label">Niveau d'agrégation</label>
		    <div class="col-sm-4">
			    <select name="niveauAgregation" id="niveauAgregation" class="form-control">
					<?php 
						foreach (variableGlobal::$scolomfr->abeLOMgetGeneralAggregationLevelVocabLOM() as $key => $value) {
							?>
							<option value="<?php echo $key; ?>" <?php if($value == $niveauAgregation) echo 'selected="selected"';?> > <?php echo $value ;?> </option>
							<?php
						}
					?>
				</select>
		    </div>
	  	</div>

	  	<legend>Type documentaire</legend>
	    <!-- 1.9 Type documentaire -->
	  	<div class="form-group">
		    <label for="typeDocumentaire" class="col-sm-2 control-label">Type documentaire</label>
		    <div class="col-sm-4">
		    	<div class="input-group">
				    <select name="typeDocumentaire" id="typeDocumentaire" class="form-control">
						<?php 
							foreach (variableGlobal::$scolomfr->abeLOMgetGeneralDocumentTypeVocabLOMFR() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value ;?> </option>
								<?php
							}
						?>
					</select>
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="ajout('typeDocumentaire');" type="button">Ajouter</button>
	      			</span>						
				</div>
		    </div>
		    <div class="col-sm-4">
		    	<div class="input-group">
		    		<select class="form-control" name="liste-typeDocumentaire[]" id="liste-typeDocumentaire" size="1" multiple >
						<?php 
							foreach ($typeDocumentaire as $key => $value) {
								?>
								<option> <?php echo $value ;?> </option>
								<?php
							}
						?>		    			
		    		</select>
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="supprime('typeDocumentaire');" type="button">Supprimer</button>
	      			</span>	
		    	</div>
		    </div>
	  	</div>

	  	<legend>Typologie du document</legend>
	    <!-- 1.10 Typologie générale de document -->
	  	<div class="form-group">
		    <label for="typologieGeneraleDocument" class="col-sm-2 control-label">Typologie du document </label>
		    <div class="col-sm-4">
		    	<div class="input-group">
				    <select name="typologieGeneraleDocument" id="typologieGeneraleDocument" class="form-control">
						<?php 

							foreach (variableGlobal::$scolomfr->abeLOMgetGeneralDocumentTypologyVocabSCOLOMFR() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value ;?> </option>
								<?php
							}
						?>
					</select>
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="ajout('typologieGeneraleDocument');" type="button">Ajouter</button>
	      			</span>
				</div>
		    </div>
		    <div class="col-sm-4">
		    	<div class="input-group">
		    		<select class="form-control requiredlist" placeholder="Typologie générale du document" name="liste-typologieGeneraleDocument[]" id="liste-typologieGeneraleDocument" size="1" multiple>
						<?php 
							foreach ($typologieGenerale as $key => $value) {
								?>
								<option> <?php echo $value ;?> </option>
								<?php
							}
						?>			    			
		    		</select>
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="supprime('typologieGeneraleDocument');" type="button">Supprimer</button>
	      			</span>	
		    	</div>
		    </div>		    
	  	</div>
	</div>