<?php
	$catalog = variableGlobal::$scolomfr->abeLOMgetMetaMetadataIdentifierCatalog();
	$entry = variableGlobal::$scolomfr->abeLOMgetMetaMetadataIdentifierEntry();
	$language = variableGlobal::$scolomfr->abeLOMgetMetaMetadataLanguage();
?>

<div id="formSection3" style="display:none;">
	<h3>Section 3 : Méta-métadonnées</h3>
<legend>3.1 Identifiant</legend>
	<!-- Catalogue -->
  	<div class="form-group">
	    <label for="catalogueMetaMetadata" class="col-sm-2 control-label">Catalogue</label>
	    <div class="col-sm-4">
		    <input type="text" name="catalogueMetaMetadata" value="<?php echo $catalog ;?>" id="catalogueMetaMetadata" class="form-control" placeholder="Nom du catalogue"/>
	    </div>
  	</div>

	<!-- Entrée -->
  	<div class="form-group">
	    <label for="entréeMetaMetadata" class="col-sm-2 control-label">Entrée</label>
	    <div class="col-sm-4">
		    <input type="text" name="entréeMetaMetadata" value="<?php echo $entry ;?>" id="entréeMetaMetadata" class="form-control" placeholder="Valeur de l'identifiant"/>
	    </div>
  	</div>

	<legend>3.2 Contribution</legend>
  	<!-- Role -->
  	<div class="form-group">
	    <label for="roleContributionMetaMetadata" class="col-sm-2 control-label">Role Contribution</label>
	    <div class="col-sm-4">
	    	<select class="form-control" id="roleContributionMetaMetadata" name="roleContributionMetaMetadata">
	    		<?php 
	    		foreach (variableGlobal:: $scolomfr->abeLOMgetLifeCycleContributionRoleVocabLOM() as $key => $value) {
	    			echo "<option value='".$key."'> " . $value . "</option>";
	    		}
	    		?>
	    	</select>
	    </div>
  	</div>

	<div class="form-group">
	    <label for="dateContributionMetaMetadata" class="col-sm-2 control-label">Date</label>
	    <div class="col-sm-4">
	    	<input class="form-control" type="text" name="dateContributionMetaMetadata" id="dateContributionMetaMetadata" placeholder="AAAA/MM/JJ" />
	    </div>
  	</div>

	<div class="form-group">
		<label for="FNEntitéMetaMetadata" class="col-sm-2 control-label">Full Name</label>
		<div class="col-sm-4">
			<input class="form-control" type="text" id="FNEntitéMetaMetadata" name="FNEntitéMetaMetadata" placeholder="Prénom Nom" >
		</div>
	</div>
  	<div class="form-group">
  		<label for="TelEntitéMetaMetadata" class="col-sm-2 control-label">Téléphone</label>
		<div class="col-sm-4">
			<input class="form-control" type="text" id="TelEntitéMetaMetadata" name="FNEntitéMetaMetadata" placeholder="Téléphone">
		</div>
  	</div>
  	<div class="form-group">
  		<label for="EmailEntitéMetaMetadata" class="col-sm-2 control-label">Email</label>
		<div class="col-sm-4">
			<input class="form-control" type="text" id="EmailEntitéMetaMetadata" name="EmailEntitéMetaMetadata" placeholder="Email">
		</div>  		
  	</div>
  	<div class="form-group">
  		<div class="col-sm-offset-2 col-sm-10">
  			<button type="button" onclick="ajoutEntitéMetaMetadata()" class="btn btn-default">Ajouter</button>
  			<!-- <button type="button" onclick="" class="btn btn-danger">Supprimer</button> -->
  		</div>
  	</div>
	<?php

  		$nbContributionsMetaMetadata = 0;

  		echo "<div class='panel panel-default ".$role."'>";
			echo "<div class='panel-heading'><h4><strong id='listeContributionsMetaMetadata'>Contribution(s)</strong></h4>";
			echo "</div>";

			echo "<div class='panel-body'>";
			echo "<table class='table'>";
			echo "
				<thead>
					<tr>
						<th>Role</th>
						<th>Date</th>
						<th>Full Name</th>
						<th>Tel</th>
						<th>Email</th>
						<th></th>
					</tr>
				</thead>
			";
			echo "<tbody id='bodyTableMetaMetadata'>";
  		foreach (variableGlobal::$scolomfr->abeLOMgetMetaMetadataContribute() as $contribution) {
  			$entity = $contribution["entity"];
  			$role = $contribution["role"];
  			
  			$dateContribution = $contribution["date"];
				$fn = explode(":",$entity->get("FN"));
				$fn = $fn[1];

				$tel = explode(":", $entity->get("TEL"));
				$tel = $tel[1];

				$email = explode(":", $entity->get("EMAIL"));
				$email = $email[1];

				echo "<tr>";
					echo "<td>". $role ."</td>";
					echo "<td>".$dateContribution->format("Y-m-d")."</td>";
					echo "<td>".$fn ."</td>";
					echo "<td>".$tel ."</td>";
					echo "<td>".$email ."</td>";
					echo '<td>
						<span class="glyphicon glyphicon-trash" onclick="supprimerContributionMetaMetadata(this)" aria-hidden="true"></span>
						</td>';
					echo "<input type='hidden' value='".$dateContribution->format("Y-m-d")."' name='dateMetaMetadata".$nbContributions."' id='dateMetaMetadata".$nbContributions."' />";
					echo "<input type='hidden' value='".$fn."' name='FNEntitéMetaMetadata".$nbContributions."' id='FNEntitéMetaMetadata".$nbContributions."' />";
					echo "<input type='hidden' value='".$tel."' name='TelEntitéMetaMetadata".$nbContributions."' id='TelEntitéMetaMetadata".$nbContributions."' />";
					echo "<input type='hidden' value='".$email."' name='EmailEntitéMetaMetadata".$nbContributions."' id='EmailEntitéMetaMetadata".$nbContributions."' />";
					echo "<input type='hidden' value='".$role."' name='roleMetaMetadata".$nbContributions."' id='roleMetaMetadata".$nbContributions."' />";
				echo "</tr>";

				$nbContributionsMetaMetadata++;
			
		
  		}
  					echo "</tbody>";
  					echo "</table>";
  				echo "</div>"; //fin panel body
  			echo "</div>";//fin panel
  	?>

  	<legend>3.3 Schéma de métadonnées</legend>

  	<div class="form-group">
  		<label for="schémaMétadonnées" class="col-sm-2 control-label">Schéma de métadonnées</label>
		<div class="col-sm-4">
			<div class="input-group">
				<input class="form-control" type="text" id="schémaMétadonnées" name="schémaMétadonnées" placeholder="Schéma">
				<span class="input-group-btn">
        			<button class="btn btn-default" onclick="ajout('schémaMétadonnées');" type="button">Ajouter</button>
      			</span>				
			</div>
		</div>  		
  	</div>
  	<div class="form-group">
  		<label for="liste-schémaMétadonnées" class="col-sm-2 control-label">Liste schéma</label>
		<div class="col-sm-4">
			<div class="input-group">
				<select multiple class="form-control" name="liste-schémaMétadonnées[]" id="liste-schémaMétadonnées">
					<?php 
					foreach (variableGlobal::$scolomfr->abeLOMgetMetaMetadataMetadataSchema() as  $value) {
						echo "<option>". $value ."</option>";
					}
					?>
				</select>
				<span class="input-group-btn">
        			<button class="btn btn-default" onclick="supprime('schémaMétadonnées');" type="button">Supprimer</button>
      			</span>					
			</div>
		
		</div>  		
  	</div>

  	<div class="form-group">
		<label for="languageMetaMetadata" class="col-sm-2 control-label">Langue schéma</label>
  		<div class="col-sm-4">
			<select class="form-control" id="languageMetaMetadata" name="languageMetaMetadata">
				<?php
				foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
					?>

					<option value="<?php echo $key; ?>" <?php if($key == $language) echo "selected='selected'"; ?>> <?php echo $value; ?> </option>
					<?php
				}
				?>
			</select>
  		</div>
  	</div>


  
  	<input type="hidden" name="nbContributionsMetaMetadata" id="nbContributionsMetaMetadata" value="<?php echo $nbContributionsMetaMetadata ?>">

</div>
<script type="text/javascript">
	function ajoutEntitéMetaMetadata(){
		var date = document.getElementById("dateContributionMetaMetadata");
		var role = document.getElementById("roleContributionMetaMetadata");

		var fn = document.getElementById("FNEntitéMetaMetadata");
		var tel = document.getElementById("TelEntitéMetaMetadata");
		var email = document.getElementById("EmailEntitéMetaMetadata");
		var nbContributions = document.getElementById("nbContributionsMetaMetadata");

			
			
			table = document.getElementById("bodyTableMetaMetadata");
			
			//Creation d'une nouvelle entrée dans le tableau
			tr = document.createElement("tr");
			td = document.createElement("td");
			text = document.createTextNode(role.value);
			td.appendChild(text);
			tr.appendChild(td);

			td = document.createElement("td");
			text = document.createTextNode(date.value);
			td.appendChild(text);
			tr.appendChild(td);
		
			td = document.createElement("td");
			text = document.createTextNode(fn.value);
			td.appendChild(text);
			tr.appendChild(td);
		
			td = document.createElement("td");
			text = document.createTextNode(tel.value);
			td.appendChild(text);
			tr.appendChild(td);

			td = document.createElement("td");
			text = document.createTextNode(email.value);
			td.appendChild(text);
			tr.appendChild(td);

			//icon delete
			td = document.createElement("td");
			deleteIcon = document.createElement("span");
			deleteIcon.setAttribute("class", "glyphicon glyphicon-trash");
			deleteIcon.setAttribute("onclick", "supprimerContributionMetaMetadata(this)");
			td.appendChild(deleteIcon);
			tr.appendChild(td);			

			table.appendChild(tr);

			//Création des inputs cachés
			input = document.createElement("input");
			input.setAttribute("type" , "hidden");
			input.setAttribute("name", "dateMetaMetadata"+parseInt(nbContributions.value));
			input.setAttribute("id", "dateMetaMetadata"+parseInt(nbContributions.value));
			input.setAttribute("value", date.value);
			tr.appendChild(input);

			input = document.createElement("input");
			input.setAttribute("type" , "hidden");
			input.setAttribute("name", "FNEntitéMetaMetadata"+parseInt(nbContributions.value));
			input.setAttribute("id", "FNEntitéMetaMetadata"+parseInt(nbContributions.value));
			input.setAttribute("value", fn.value);
			tr.appendChild(input);

			input = document.createElement("input");
			input.setAttribute("type" , "hidden");
			input.setAttribute("name", "TelEntitéMetaMetadata"+parseInt(nbContributions.value));
			input.setAttribute("id", "TelEntitéMetaMetadata"+parseInt(nbContributions.value));
			input.setAttribute("value", tel.value);
			tr.appendChild(input);

			input = document.createElement("input");
			input.setAttribute("type" , "hidden");
			input.setAttribute("name", "EmailEntitéMetaMetadata"+parseInt(nbContributions.value));
			input.setAttribute("id", "EmailEntitéMetaMetadata"+parseInt(nbContributions.value));
			input.setAttribute("value", email.value);
			tr.appendChild(input);

			input = document.createElement("input");
			input.setAttribute("type" , "hidden");
			input.setAttribute("name", "roleMetaMetadata"+parseInt(nbContributions.value));
			input.setAttribute("id", "roleMetaMetadata"+parseInt(nbContributions.value));
			input.setAttribute("value", role.value);
			tr.appendChild(input);


			nbContributions.setAttribute("value", parseInt(nbContributions.value)+1);
		
		document.getElementById("dateContributionMetaMetadata").value = "";

		document.getElementById("FNEntitéMetaMetadata").value = "";
		document.getElementById("TelEntitéMetaMetadata").value = "";
		document.getElementById("EmailEntitéMetaMetadata").value = "";			
	}

	function supprimerContributionMetaMetadata(elem){
		span = elem.parentElement;
		td = span.parentElement;

		tbody = document.getElementById("bodyTableMetaMetadata");

		tbody.removeChild(td);
	}	
</script>