<?php
	//5.2 Type pedagogique
	$typePédagogique = variableGlobal::$scolomfr->abeLOMgetEducationalLearningResourceType();


	//5.5 Public cible
	$publicCibleBrut = variableGlobal::$scolomfr->abeLOMgetEducationalIntendedEndUserRole();
	$publicCible = array();
	if(count($publicCibleBrut)){

		foreach ($publicCibleBrut as $value) {

			$valueTmp = explode(";", $value);
			$value = $valueTmp[1];
			array_push($publicCible, $value);
		}
	}

	//5.6 Niveau
	$niveauBrut = variableGlobal::$scolomfr->abeLOMgetEducationalContext();
	$niveau = array();
	if(count($niveauBrut)){

		foreach ($niveauBrut as $value) {
			$valueTmp = explode(";", $value);
			$value = $valueTmp[1];
			array_push($niveau, $value);
		}
	}
	//5.7 Age 
	//$age = variableGlobal::$scolomfr->abeLOMgetEducationalTypicalAgeRange(variableGlobal::$lang);
	$ages = array();
	foreach (variableGlobal::$scolomfr->abeLOMgetEducationalTypicalAgeRangeKeys() as $lang) {
		foreach (variableGlobal::$scolomfr->abeLOMgetEducationalTypicalAgeRange($lang) as $age) {
			array_push($ages, $lang.":". $age);
		}
	}

	//5.8 Difficulté 
	$difficulté = variableGlobal::$scolomfr->abeLOMgetEducationalDifficulty();

	//5.9 Durée
	$duréeApprentissage = variableGlobal::$scolomfr->abeLOMgetEducationalTypicalLearningTime();
	$duréeApprentissage = $duréeApprentissage->format("H")*60+ $duréeApprentissage->format("i");

	//5.10 Proposition d'utilisation
	//$propositionUtilisation = variableGlobal::$scolomfr->abeLOMgetEducationalDescription(variableGlobal::$lang);
	$propositionUtilisation = array();
	foreach (variableGlobal::$scolomfr->abeLOMgetEducationalDescriptionKeys() as $lang) {
		foreach (variableGlobal::$scolomfr->abeLOMgetEducationalDescription($lang) as $proposition) {
			array_push($propositionUtilisation, $lang.":". $proposition);
		}
	}


	//5.11 Langue de l'utilisateur
	$langueUtilisateur = variableGlobal::$scolomfr->abeLOMgetEducationalLanguage();

	//5.12 Activités induites
	$activitésInduitesBrut = variableGlobal::$scolomfr->abeLOMgetEducationalActivities();
	$activitésInduites = array();
	if(count($activitésInduitesBrut)){

		foreach ($activitésInduitesBrut as $value) {
			$valueTmp = explode(";", $value);
			$value = $valueTmp[1];
			array_push($activitésInduites, $value);
		}
	}	

	//5.13 Validation d'acquis
	//$validationAcquis = variableGlobal::$scolomfr->abeLOMgetEducationalValidation();
	$validationAcquis = array();        
	foreach (variableGlobal::$scolomfr->abeLOMgetEducationalValidationKeys() as $lang) {
		var_dump($lang);
		foreach (variableGlobal::$scolomfr->abeLOMgetEducationalValidation($lang) as $validation) {
			array_push($validationAcquis, $lang.":". $validation);
		}
	}


	//5.14 Lieu
	$lieuBrut = variableGlobal::$scolomfr->abeLOMgetEducationalLocation();
	$lieu = array();
	if(count($lieuBrut)){

		foreach ($lieuBrut as $value) {
			$valueTmp = explode(";", $value);
			$value = $valueTmp[1];
			array_push($lieu, $value);
		}
	}
	//5.15 Modalités pédagogiques
	$modalitéPédagogiqueBrut = variableGlobal::$scolomfr->abeLOMgetEducationalPedagogicModality();
	$modalitéPédagogique = array();
	if(count($modalitéPédagogiqueBrut)){

		foreach ($modalitéPédagogiqueBrut as $value) {
			$valueTmp = explode(";", $value);
			$value = $valueTmp[1];
			array_push($modalitéPédagogique, $value);
		}
	}
	//5.16 Outils
	$outilsBrut = variableGlobal::$scolomfr->abeLOMgetEducationalTools();
	$Outils = array();
	if(count($outilsBrut)){
		foreach ($outilsBrut as $value) {
			$valueTmp = explode(";", $value);
			$value = $valueTmp[1];
			array_push($Outils, $value);
		}
	}

?>

	<div id="formSection5" style="display:none;">
		<h3>Section 5 : Pédagogie</h3>


	  	<!-- 5.2 Type pédagogique de la ressource -->
	  	<div class="form-group">
		    <label for="typePedagogique" class="col-sm-2 control-label">Type pédagogique</label>
		    <div class="col-sm-4">
		    	<div class="input-group">
				    <select name="typePedagogique" id="typePedagogique" class="form-control">
						<?php 
							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalLearningResourceTypeVocabSCOLOMFR() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value ;?> </option>
								<?php
							}	
										
							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalLearningResourceTypeVocabLOMFR() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value ;?> </option>
								<?php
							}

							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalLearningResourceTypeVocabLOM() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value ;?> </option>
								<?php
							}
						?>
					</select>
					<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('typePedagogique');" type="button">Ajouter</button>
					</span>
				</div>
		    </div>
			<div class="col-sm-4">
				<div class="input-group">
	      			<select placeholder="Type de ressource pédagogique" id="liste-typePedagogique" name="liste-typePedagogique[]" size="1" class="form-control requiredList" multiple>
						<?php
						foreach ($typePedagogique as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('typePedagogique');" type="button">Supprimer</button>
	      			</span>	      			
		      	</div>
			</div>
	  	</div>

		<!-- 5.5 Public cible -->
	  	<div class="form-group">
		    <label for="publicCible" class="col-sm-2 control-label">Public cible</label>
		    <div class="col-sm-4">
		    	<div class="input-group">
				    <select name="publicCible" id="publicCible" class="form-control">
						<?php 

							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalIntendedEndUserRoleVocabLOM() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value ;?> </option>
								<?php
							}
						?>
					</select>
					<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('publicCible');" type="button">Ajouter</button>
					</span>					
				</div>
		    </div>
		    <div class="col-sm-4">
				<div class="input-group">
	      			<select id="liste-publicCible" name="liste-publicCible[]" size="1" class="form-control" multiple>
						<?php
						foreach ($publicCible as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('publicCible');" type="button">Supprimer</button>
	      			</span>	      			
		      	</div>
		    </div>
	  	</div>

		<!-- 5.6 Niveau -->
	  	<div class="form-group">
		    <label for="niveau" class="col-sm-2 control-label">Niveau</label>
		    <div class="col-sm-4">
		    	<div class="input-group">
				    <select name="niveau" id="niveau" class="form-control">
						<?php 
							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalContextVocabLOMFR() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value ;?> </option>
								<?php
							}
							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalContextVocabLOM() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value ;?> </option>
								<?php
							}
						?>
					</select>
					<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('niveau');" type="button">Ajouter</button>
					</span>	
				</div>
		    </div>
		    <div class="col-sm-4">
				<div class="input-group">
	      			<select id="liste-niveau" placeholder="Niveau du public cible" name="liste-niveau[]" size="1" class="form-control requiredList" multiple>
						<?php
						foreach ($niveau as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('niveau');" type="button">Supprimer</button>
	      			</span>	      			
		      	</div>
		    </div>
	  	</div>

		<!-- 5.7 Age -->
	  	<div class="form-group">
		    <label for="age" class="col-sm-2 control-label">Age</label>
		    <div class="col-sm-2">
		    	<select class="form-control" id="langue-age">
		    			<?php
						foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
							echo "<option value =".$key.">". $value ."</option>";
						}
						?>
		    	</select>
		    </div>
		    <div class="col-sm-4">
		    	<div class="input-group">
			    	<input type="text" name="age" id="age" class="form-control" placeholder="Age des élèves destinataires">
			    	<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('age');" type="button">Ajouter</button>
					</span>	
			    </div>
		    </div>
	  	</div>	
	  	<div class="form-group">
	  		<label for="liste-age" class="col-sm-2 control-label">Liste age</label>
		    <div class="col-sm-6">
				<div class="input-group">
	      			<select id="liste-age" placeholder="Tranche d'âge" name="liste-age[]" size="2" class="form-control requiredList" multiple>
						<?php
						foreach ($ages as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn">
	        			<button class="btn btn-default" onclick="supprime('age');" type="button">Supprimer</button>
	      			</span>	      			
		      	</div>
		    </div>
	  	</div>	

		<!-- 5.8 Difficulté -->
	  	<div class="form-group">
		    <label for="difficulté" class="col-sm-2 control-label">Difficulté</label>
		    <div class="col-sm-4">
			    <select name="difficulté" id="difficulté" class="form-control">
					<?php 

						foreach (variableGlobal::$scolomfr->abeLOMgetEducationalDifficultyLOM() as $key => $value) {
							?>
							<option value="<?php echo $key; ?>"> <?php echo $value ;?> </option>
							<?php
						}
					?>
				</select>
		    </div>
	  	</div>

		<!-- 5.9 Durée d'apprentissage -->
	  	<div class="form-group">
		    <label for="duréeApprentissage" class="col-sm-2 control-label">Durée apprentissage (min)</label>
		    <div class="col-sm-4">
			    <input type="number" min="0" value="<?php echo $duréeApprentissage ?>" name="duréeApprentissage" id="duréeApprentissage" class="form-control" />
		    </div>
	  	</div>

		<!-- 5.10 Proposition d'utilisation -->
	  	<div class="form-group">
		    <label for="propositionUtilisation" class="col-sm-2 control-label">Proposition d'utilisation</label>
		    <div class="col-sm-2">
		    	<select class="form-control" id="langue-propositionUtilisation">
		    			<?php
						foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
							echo "<option value =".$key.">". $value ."</option>";
						}
						?>
		    	</select>
		    </div>		    
		    <div class="col-sm-6">
		    	<div class="input-group">
			    	<input type="text" name="propositionUtilisation" id="propositionUtilisation" class="form-control" />
			    	<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('propositionUtilisation');" type="button">Ajouter</button>
					</span>				    
			    </div>
		    </div>
	  	</div>
	  	<div class="form-group">
	  		<label for="liste-propositionUtilisation" class="col-sm-2 control-label">Liste proposition</label>
	  		<div class="col-sm-8">
	  			<div class="input-group">
	  				<select size="1" class="form-control requiredList" placeholder="Proposition d'utilisation" id="liste-propositionUtilisation" name="liste-propositionUtilisation[]" multiple >
					<?php 
						foreach ($propositionUtilisation as $value) {
							?>
							<option><?php echo $value ;?></option>
							<?php
						}
					?>	  					
	  				</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('propositionUtilisation');" type="button">Supprimer</button>
	      			</span>	 
	  			</div>
	  		</div>
	  	</div>
		<!-- 5.11 Langue de l'utilisateur -->
	  	<div class="form-group">
		    <label for="langueUtilisateur" class="col-sm-2 control-label">Langue utilisateur</label>
		    <div class="col-sm-4">
		    	<div class="input-group">
				    <select name="langueUtilisateur" id="langueUtilisateur" class="form-control">
						<?php 
							foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as$key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value; ?> </option>
								<?php
							}
						?>
					</select>
			    	<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('langueUtilisateur');" type="button">Ajouter</button>
					</span>	
				</div>				
		    </div>
		    <div class="col-sm-4">
				<div class="input-group">
	      			<select id="liste-langueUtilisateur" name="liste-langueUtilisateur[]" size="1" placeholder="Langue de l'utilisateur" class="form-control requiredList" multiple>
						<?php
						foreach ($langueUtilisateur as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('langueUtilisateur');" type="button">Supprimer</button>
	      			</span>	      			
		      	</div>
		    </div>		    
	  	</div>

		<!-- 5.12 Activités induites-->
	  	<div class="form-group">
		    <label for="activitésInduites" class="col-sm-2 control-label">Activités induites</label>
		    <div class="col-sm-4">
		    	<div class="input-group">
				    <select name="activitésInduites" id="activitésInduites" class="form-control">
						<?php 
							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalActivitiesVocabSCOLOMFR() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value; ?> </option>
								<?php
							}					
							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalActivitiesVocabLOMFR() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value; ?> </option>
								<?php
							}
						?>
					</select>
			    	<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('activitésInduites');" type="button">Ajouter</button>
					</span>	
				</div>					
		    </div>
		    <div class="col-sm-4">
				<div class="input-group">
	      			<select id="liste-activitésInduites" name="liste-activitésInduites[]" placeholder="Activité(s) induite(s)"  size="1" class="form-control requiredList" multiple>
						<?php
						foreach ($activitésInduites as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('activitésInduites');" type="button">Supprimer</button>
	      			</span>	      			
		      	</div>
		    </div>		    
	  	</div>

		<!-- 5.13 Validation des acquis -->
	  	<div class="form-group">
		    <label for="validationAcquis" class="col-sm-2 control-label">Validation des acquis</label>
		    <div class="col-sm-2">
		    	<select class="form-control" id="langue-validationAcquis">
		    			<?php
						foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
							echo "<option value =".$key.">". $value ."</option>";
						}
						?>
		    	</select>
		    </div>
		    <div class="col-sm-4">
		    	<div class="input-group">
			    	<input type="text" name="validationAcquis" id="validationAcquis" class="form-control"/>
			    	<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('validationAcquis');" type="button">Ajouter</button>
					</span>				    	
			    </div>
		    </div>
	  	</div>
	  	<div class="form-group">
	  		<label for="liste-validationAcquis" class="col-sm-2 control-label">Liste validation des acquis</label>
		    <div class="col-sm-6">
				<div class="input-group">
	      			<select mulsitple id="liste-validationAcquis" name="liste-validationAcquis[]" size="2" class="form-control requiredList" placeholder="Validation des acquis" multiple>
						<?php
						foreach ($validationAcquis as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('validationAcquis');" type="button">Supprimer</button>
	      			</span>	      			
		      	</div>
		    </div>		    
	  	</div>

		<!-- 5.14 Lieu -->
	  	<div class="form-group">
		    <label for="lieu" class="col-sm-2 control-label">Lieu</label>
		    <div class="col-sm-4">
		    	<div class="input-group">
				    <select name="lieu" id="lieu" class="form-control">
						<?php 					
							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalLocationVocabSCOLOMFR() as $key => $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value; ?> </option>
								<?php
							}
						?>
					</select>
			    	<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('lieu');" type="button">Ajouter</button>
					</span>						
				</div>
		    </div>
		    <div class="col-sm-4">
				<div class="input-group">
	      			<select id="liste-lieu" name="liste-lieu[]" size="1" class="form-control requiredList" placeholder="Lieu" multiple>
						<?php
						foreach ($lieu as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('lieu');" type="button">Supprimer</button>
	      			</span>	      			
		      	</div>
		    </div>		    
	  	</div>

		<!-- Modalité pédagogique -->
	  	<div class="form-group">
		    <label for="modalitéPédagogique" class="col-sm-2 control-label">Modalité pédagogique</label>
		    <div class="col-sm-4">
		    	<div class="input-group">
				    <select name="modalitéPédagogique" id="modalitéPédagogique" class="form-control">
						<?php 					
							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalPedagogicModalityVocabSCOLOMFR() as $key => $value) {
								?> 
								<option value="<?php echo $key; ?>"> <?php echo $value; ?> </option>
								<?php
							}
						?>
					</select>
			    	<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('modalitéPédagogique');" type="button">Ajouter</button>
					</span>	
				</div>										
		    </div>
		    <div class="col-sm-4">
				<div class="input-group">
	      			<select id="liste-modalitéPédagogique" name="liste-modalitéPédagogique[]" size="1" placeholder="Modalités pédagogiques" class="form-control requiredList" multiple>
						<?php
						foreach ($modalitéPédagogique as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('modalitéPédagogique');" type="button">Supprimer</button>
	      			</span>	      			
		      	</div>
		    </div>			    
	  	</div>


		<!-- Outil-->
	  	<div class="form-group">
		    <label for="outil" class="col-sm-2 control-label">Outil</label>
		    <div class="col-sm-4">
		    	<div class="input-group">
				    <select name="outil" id="outil" class="form-control">
						<?php 					
							foreach (variableGlobal::$scolomfr->abeLOMgetEducationalToolsVocabSCOLOMFR() as $key=> $value) {
								?>
								<option value="<?php echo $key; ?>"> <?php echo $value; ?> </option>
								<?php
							}
						?>
					</select>
			    	<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('outil');" type="button">Ajouter</button>
					</span>	
				</div>					
		    </div>
		    <div class="col-sm-4">
				<div class="input-group">
	      			<select id="liste-outil" name="liste-outil[]" size="1" placeholder="Outil(s)" class="form-control requiredLsit" multiple>
						<?php
						foreach ($outil as $key => $value) {
							?>
							<option><?php echo $value ; ?></option>
							<?php
						}
						?>
	      			</select>
					<span class="input-group-btn" >
	        			<button class="btn btn-default" onclick="supprime('outil');" type="button">Supprimer</button>
	      			</span>	      			
		      	</div>
		    </div>			    
	  	</div>


	</div>