<!-- 
	TODO
		Regex verification format date et email(util?) 
-->
<?php 
	$versions = array();
	foreach (variableGlobal::$scolomfr->abeLOMgetLifeCycleVersionKeys() as $langVersion) {
		array_push($versions, $langVersion.":".variableGlobal::$scolomfr->abeLOMgetLifeCycleVersion($langVersion));
	}

	$etatBrut = variableGlobal::$scolomfr->abeLOMgetLifeCycleStatus();
	$tabEtat = explode(";", $etatBrut);
	$etat = $tabEtat[1];

?>
<div id="formSection2" style="display:none;">
	<h3>Section 2 : Cycle de vie</h3>

  	<div class="form-group">
	    <label for="version" class="col-sm-2 control-label">Version</label>
	 
	    <div class="col-sm-2">
    		<select class="form-control" id="langue-version">
    			<?php
				foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
					echo "<option value =".$key.">". $value ."</option>";
				}
				?>
    		</select>
	    </div>
	    <div class="col-sm-6">
	    	<div class="input-group">
	      		<input type="text" class="form-control" id="version" name="version" placeholder="Version cycle de vie" >
				<span class="input-group-btn">
        			<button class="btn btn-default" onclick="ajout('version');" type="button">Ajouter</button>
      			</span>		    	
	    	</div>
	    </div>
  	</div>
  	<div class="form-group">
  		<label for="liste-version" class="col-sm-2 control-label">Liste version</label>
	    <div class="col-sm-8">
	    	<div class="input-group">
		    	<select class="form-control" name="liste-version[]" size="2"  id="liste-version" multiple >
		    		<?php
		    		foreach ($versions as $value) {
						?>
						<option><?php echo $value ; ?></option>
						<?php		    			
		    		}
		    		?>
		    	</select>
				<span class="input-group-btn">
        			<button class="btn btn-default" onclick="supprime('version');" type="button">Supprimer</button>
      			</span>				    	
		    </div>
	    </div>		  		
  	</div>

	<!-- Etat -->
  	<div class="form-group">
	    <label for="etat" class="col-sm-2 control-label">Etat</label>
	    <div class="col-sm-4">
		    <select name="etat" id="etat" class="form-control">
				<?php 
					foreach (variableGlobal::$scolomfr->abeLOMgetLifeCycleStatusVocabLOM() as $key => $value) {
					?>
						<option  <?php if($key == $etat) echo "selected='selected'";  ?>  ><?php  echo $value ?></option>
					<?php
					}
				?>
			</select>  
	    </div>
  	</div>

  	<!-- 2.3 Contributions -->
	<span class="input-group-btn">
		<button class="col-sm-offset-2 btn btn-default" onclick="afficherFormulaireAjout('LifeCycleContribution');" type="button">Ajouter Contribution</button>
	</span>	
	
	<br/>

	<div id="newLifeCycleContribution" style="display:none">
		<legend>Ajout Contribution</legend>
		
		<!-- Date -->
	  	<div class="form-group">
		    <label for="dateContribution" class="col-sm-2 control-label">Date</label>
		    <div class="col-sm-4">
		    	<input type="text" name="dateContribution" id="dateContribution" placeholder="AAAA-MM-JJ" />
		    </div>
	  	</div>

	  	<!-- Role -->
	  	<div class="form-group">
		    <label for="roleContribution" class="col-sm-2 control-label">Role Contribution</label>
		    <div class="col-sm-4">
		    	<select class="form-control" id="roleContribution" name="roleContribution">
		    		<?php 
		    		foreach (variableGlobal:: $scolomfr->abeLOMgetLifeCycleContributionRoleVocabLOM() as $key => $value) {
		    			echo "<option value='".$key."'> " . $value . "</option>";
		    		}
		    		?>
		    	</select>
		    </div>
	  	</div>
		<div class="form-group">
			<label for="FNEntité" class="col-sm-2 control-label">Full Name</label>
			<div class="col-sm-4">
				<input class="form-control" type="text" id="FNEntité" name="FNEntité" placeholder="Prénom Nom" >
			</div>
		</div>
	  	<div class="form-group">
	  		<label for="TelEntité" class="col-sm-2 control-label">Téléphone</label>
			<div class="col-sm-4">
				<input class="form-control" type="text" id="TelEntité" name="FNEntité" placeholder="Téléphone">
			</div>
	  	</div>
	  	<div class="form-group">
	  		<label for="EmailEntité" class="col-sm-2 control-label">Email</label>
			<div class="col-sm-4">
				<input class="form-control" type="text" id="EmailEntité" name="EmailEntité" placeholder="Email">
			</div>  		
	  	</div>
	  	<div class="form-group">
	  		<div class="col-sm-offset-2 col-sm-10">
	  			<button type="button" onclick="ajoutEntité()" class="btn btn-default">Ajouter</button>
	  		</div>
	  	</div>
	</div>
	<div class="col-sm-10">
	  	<?php

	  		$nbContributions = 0;

	  		echo "<div class='panel panel-default ".$role."'>";
				echo "<div class='panel-heading'><h4><strong id='listeContributions'>Contribution(s)</strong></h4>";
				echo "</div>";

				echo "<div class='panel-body'>";
				echo "<table class='table'>";
				echo "
					<thead>
						<tr>
							<th>Role</th>
							<th>Date</th>
							<th>Full Name</th>
							<th>Tel</th>
							<th>Email</th>
							<th></th>
						</tr>
					</thead>
				";
				echo "<tbody id='bodyTable'>";
	  		foreach (variableGlobal::$scolomfr->abeLOMgetLifeCycleContributionRoles() as $role) {
  				foreach (variableGlobal::$scolomfr->abeLOMgetLifeCycleContributionDates($role) as $dateContribution) {

  					foreach (variableGlobal::$scolomfr->abeLOMgetLifeCycleContributionEntities($role, $dateContribution) as $entities) {
  						foreach ($entities as $entity) {
  							$fn = explode(":",$entity->get("FN"));
  							$fn = $fn[1];

  							$tel = explode(":", $entity->get("TEL"));
  							$tel = $tel[1];

  							$email = explode(":", $entity->get("EMAIL"));
  							$email = $email[1];

  							echo "<tr>";
  								echo "<td>". $role ."</td>";
  								echo "<td>".$dateContribution->format("Y-m-d")."</td>";
  								echo "<td>".$fn ."</td>";
  								echo "<td>".$tel ."</td>";
  								echo "<td>".$email ."</td>";
  								echo '<td>
  									<span class="glyphicon glyphicon-trash" onclick="supprimerContribution(this)" aria-hidden="true"></span>
  									</td>';
  								echo "<input type='hidden' value='".$dateContribution->format("Y-m-d")."' name='date".$nbContributions."' id='date".$nbContributions."' />";
  								echo "<input type='hidden' value='".$fn."' name='FNEntité".$nbContributions."' id='FNEntité".$nbContributions."' />";
  								echo "<input type='hidden' value='".$tel."' name='TelEntité".$nbContributions."' id='TelEntité".$nbContributions."' />";
  								echo "<input type='hidden' value='".$email."' name='EmailEntité".$nbContributions."' id='EmailEntité".$nbContributions."' />";
  								echo "<input type='hidden' value='".$role."' name='role".$nbContributions."' id='role".$nbContributions."' />";
  							echo "</tr>";

  							$nbContributions++;
  						}
  					}
  				}
	  		}
	  					echo "</tbody>";
	  					echo "</table>";
	  				echo "</div>"; //fin panel body
	  			echo "</div>";//fin panel
	  	?>
	  	<input type="hidden" class="requiredNumber" placeholder="Contribution(s) cycle de vie" name="nbContributions" id="nbContributions" value="<?php echo $nbContributions; ?>" />
	</div>

</div>

<script type="text/javascript">

	function ajoutEntité(){
		var date = document.getElementById("dateContribution");
		var role = document.getElementById("roleContribution");

		var fn = document.getElementById("FNEntité");
		var tel = document.getElementById("TelEntité");
		var email = document.getElementById("EmailEntité");
		var nbContributions = document.getElementById("nbContributions");

			
			
		table = document.getElementById("bodyTable");
		
		//Creation d'une nouvelle entrée dans le tableau
		tr = document.createElement("tr");
		td = document.createElement("td");
		text = document.createTextNode(role.value);
		td.appendChild(text);
		tr.appendChild(td);

		td = document.createElement("td");
		text = document.createTextNode(date.value);
		td.appendChild(text);
		tr.appendChild(td);
	
		td = document.createElement("td");
		text = document.createTextNode(fn.value);
		td.appendChild(text);
		tr.appendChild(td);
	
		td = document.createElement("td");
		text = document.createTextNode(tel.value);
		td.appendChild(text);
		tr.appendChild(td);

		td = document.createElement("td");
		text = document.createTextNode(email.value);
		td.appendChild(text);
		tr.appendChild(td);

		//icon delete
		td = document.createElement("td");
		deleteIcon = document.createElement("span");
		deleteIcon.setAttribute("class", "glyphicon glyphicon-trash");
		deleteIcon.setAttribute("onclick", "supprimerContribution(this)");
		td.appendChild(deleteIcon);
		tr.appendChild(td);			

		table.appendChild(tr);

		//Création des inputs cachés
		input = document.createElement("input");
		input.setAttribute("type" , "hidden");
		input.setAttribute("name", "date"+parseInt(nbContributions.value));
		input.setAttribute("id", "date"+parseInt(nbContributions.value));
		input.setAttribute("value", date.value);
		tr.appendChild(input);

		input = document.createElement("input");
		input.setAttribute("type" , "hidden");
		input.setAttribute("name", "FNEntité"+parseInt(nbContributions.value));
		input.setAttribute("id", "FNEntité"+parseInt(nbContributions.value));
		input.setAttribute("value", fn.value);
		tr.appendChild(input);

		input = document.createElement("input");
		input.setAttribute("type" , "hidden");
		input.setAttribute("name", "TelEntité"+parseInt(nbContributions.value));
		input.setAttribute("id", "TelEntité"+parseInt(nbContributions.value));
		input.setAttribute("value", tel.value);
		tr.appendChild(input);

		input = document.createElement("input");
		input.setAttribute("type" , "hidden");
		input.setAttribute("name", "EmailEntité"+parseInt(nbContributions.value));
		input.setAttribute("id", "EmailEntité"+parseInt(nbContributions.value));
		input.setAttribute("value", email.value);
		tr.appendChild(input);

		input = document.createElement("input");
		input.setAttribute("type" , "hidden");
		input.setAttribute("name", "role"+parseInt(nbContributions.value));
		input.setAttribute("id", "role"+parseInt(nbContributions.value));
		input.setAttribute("value", role.value);
		tr.appendChild(input);

		//On incrémente le comtpeur de contribution
		nbContributions.setAttribute("value", parseInt(nbContributions.value)+1);


		//Fermeture formulaire ajout contribution
		document.getElementById("newLifeCycleContribution").style.display = "none";

		//On vide les champs d'ajout de contribution
		document.getElementById("dateContribution").value = "";
		document.getElementById("FNEntité").value = "";
		document.getElementById("TelEntité").value = "";
		document.getElementById("EmailEntité").value = "";
	}


	function supprimerContribution(elem){
		span = elem.parentElement;
		td = span.parentElement;
		//tr = td.parentElement;

		tbody = document.getElementById("bodyTable");
		tbody.removeChild(td);
	}
</script>