

<?php
	$classifications = variableGlobal::$scolomfr->abeLOMgetClassificationPurposes();
	$nbClassification = 1;
?>
<div style="display:none" class="panel panel-default" id="structurePrésentationSection9">
	<div class="panel-heading">
		<h4>
			<strong class="objectifPresentation">Objectif : </strong>
			<button type="button" onclick="supprimerClassification(this)" class="btn btn-danger">Supprimer</button>
		</h4>
	</div>
	<div class="panel-body">
		<div class="sourceTaxonPathPresentation">
			<p><strong>Source Taxon Path : </strong></p>
		</div>
		<div class="taxonPresentation">
			<p><strong>Liste Taxon (<span class="nbTaxonPresentation"></span>) </strong> </p>
			<table class="table">
				<thead>
					<tr>
						<th>Id</th>
						<th>Entrée(s)</th>
						<th></th>
					</tr>
				</thead>
			</table>
		</div>

	</div>
</div>

<div id="formSection9" style="display:none;">
	<h3>Section 9 : Classification</h3>
	<div id="formSection9Presentation">
	<?php
		foreach ($classifications as $objectif => $tabTaxonPath) {
			$nomObjectif = explode(";", $objectif);
			if(count($nomObjectif)){
				$nomObjectif = $nomObjectif[1];
			}else{
				$nomObjectif = $nomObjectif[0];
			}

			echo "<div class='panel panel-default'>";
				echo "<div class='panel-heading'><h4><strong>Objectif : ". $nomObjectif ." </strong> ".
				"<button type='button' onclick='supprimerClassification(this)' class='btn btn-danger'>Supprimer</button>".
				"</h4> </div>";
				echo "<input type='hidden' value='". $nomObjectif."' name='objectifClassification".$nbClassification."' id='objectifClassification".$nbClassification."'>";
				echo "<div class='panel-body'>";
				
				//Parcours des taxons paths
				foreach ($tabTaxonPath as $sourceTaxonPath => $tabTaxon) {
					echo "<p><strong>Source Taxon Path : </strong></p>";
					$sourceTP = new LomLS();
					$sourceTP->fromString($sourceTaxonPath);

					//Parcours de toutes les sources (dans toutes les langues)
					foreach ($sourceTP->keys() as $langSourceTP) {
						foreach ($sourceTP->getList($langSourceTP) as $valeurSourceTP) {
							echo "<p>&emsp;&emsp;".$langSourceTP . " : " . $valeurSourceTP . "<p>";
						}
					}					
					echo "<select multiple style='display:none;' name='liste-sourceCheminTaxon".$nbClassification."[]' id='liste-sourceCheminTaxon".$nbClassification."'>";
					foreach ($sourceTP->keys() as $langSourceTP) {
						foreach ($sourceTP->getList($langSourceTP) as $valeurSourceTP) {
							echo "<p>".$langSourceTP . " : " . $valeurSourceTP . "<p>";
							echo "<option value='".$langSourceTP . ":" . $valeurSourceTP."'>";
						}
					}
					echo "</select>";

					//Parcours des Taxons
					echo "<p><strong>Liste Taxon (". count($tabTaxon) .")</strong><p>";

					echo "<table class='table'>
						  <thead>
						  		<tr>
						  			<th>Id</th>
						  			<th>Entrée(s)</th>
						  			<th></th>
						  		</tr>
						  </thead>";

					$nbTaxon = 1;
					echo "<input type='hidden' id='nbTaxonMax".$nbClassification."' value='".count($tabTaxon)."' name='nbTaxonMax".$nbClassification."' value='".count($tabTaxon)."'>";
					foreach ($tabTaxon as $idTaxon => $entryTaxon) {
						echo "<tr>";
							echo "<td>" . $idTaxon . "</td>";
							echo "<input type='hidden' value='".$idTaxon."' name='idSourceCheminTaxon".$nbTaxon."-".$nbClassification."' />";

							//Parcours entryTaxon (toutes les langues)
							echo "<td>";

							foreach ($entryTaxon->keys() as $langEntryTaxon) {
								foreach ($entryTaxon->getList($langEntryTaxon) as $valueEntryTaxon) {
									echo $langEntryTaxon . " : " . $valueEntryTaxon;
								}
							}
							//Remplissage de la liste des entrées pour le traitement
							echo "<select multiple style='display:none;' name='liste-entryCheminTaxon".$nbTaxon."-".$nbClassification."[]' id='liste-entryCheminTaxon".$nbTaxon."-".$nbClassification."' >";
							foreach ($entryTaxon->keys() as $langEntryTaxon) {
								foreach ($entryTaxon->getList($langEntryTaxon) as $valueEntryTaxon) {
									echo "<option value='".$langEntryTaxon.":".$valueEntryTaxon ."'/>";
								}
							}
							echo "</select>";
							echo "</td>";
							echo '<td>
							<span class="glyphicon glyphicon-trash" onclick="supprimerTaxon(this)" aria-hidden="true"></span>
							</td>';	


						echo "</tr>"; //fin ligne
						$nbTaxon++;
					}

					echo "</table>"; //Fin affichage tableau taxons
				}
				echo "</div>"; //Fin panel body	
			echo "</div>";//Fin panel
			$nbClassification++;
		}
	?>
	</div>
	
	<!-- 9.1 Objectif -->
	<div id="liste-classification" style="display:none;">
		<input type="hidden" value="<?php echo $nbClassification ?>" name="nbClassification" id="nbClassification"/>
	</div>

	<div class="form-group">
	    <label for="objectifClassification" class="col-sm-2 control-label">Objectif</label>
	    <div class="col-sm-6">
		    <select onchange="changementObjectif(this)" name="objectifClassification" id="objectifClassification" class="form-control">
		    	<option value="0">Non renseigné</option>
				<?php 		
					foreach (variableGlobal::$scolomfr->abeLOMgetClassificationPurposeVocabSCOLOMFR() as $key => $value){
						?>
						<option value="<?php echo $key; ?>"> <?php echo $value; ?> </option>
						<?php
					}	

					foreach (variableGlobal::$scolomfr->abeLOMgetClassificationPurposeVocabLOM() as $key => $value){
						?>
						<option value="<?php echo $key; ?>"> <?php echo $value; ?> </option>
						<?php
					}
				?>
			</select>
	    </div>
  	</div>

  	<!-- Source chemin taxon -->
	<div class="form-group">
	    <label for="sourceCheminTaxon" class="col-sm-2 control-label">Source</label>
	    <div class="col-sm-2">
	    	<select class="form-control" id="langue-sourceCheminTaxon">
	    			<?php
					foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
						echo "<option value =".$key.">". $value ."</option>";
					}
					?>
	    	</select>
	    </div>
	    <div class="col-sm-4">
	    	<div class="input-group">
		    	<input type="text" placeholder="Nom du système de classification" name="sourceCheminTaxon" id="sourceCheminTaxon" class="form-control"/>
		    	<span class="input-group-btn">
					<button class="btn btn-default" onclick="ajout('sourceCheminTaxon');" type="button">Ajouter</button>
				</span>			    	
	    	</div>
	    </div>
  	</div>
  	<div class="form-group">
  		<label class="col-sm-2 control-label" for="liste-sourceCheminTaxon">Liste Sources</label>
  		<div class="col-sm-6">
	  		<div class="input-group">
		  		<select multiple class="form-control" id="liste-sourceCheminTaxon" name="liste-sourceCheminTaxon[]" >

		  		</select>
				<span class="input-group-btn" >
        			<button class="btn btn-default" onclick="supprime('sourceCheminTaxon');" type="button">Supprimer</button>
      			</span>		  		
	  		</div>
	  	</div>
  	</div>

  	<!-- Taxon -->
  	<input type="hidden" value="1" id="nbTaxonMax" name="nbTaxonMax">
  	<div id="taxon">
  		
  		<div class="form-group">
  			<label for="nbTaxon" class="col-sm-2 control-label">Taxons</label>
  			<div class="col-sm-4 form-inline">
  				<input type="number" onchange="changementTaxon(this);" max="1" min="1" value="1" id="nbTaxon" class="col-sm-4 "/>
  				<button type="button" id="boutonAjoutTaxon" onclick="addTaxon('taxon1', 'taxon2');" class="btn btn-sm btn-default">
  					<span class="glyphicon glyphicon-plus"></span>
  					Ajouter un taxon
  				</button>
  			</div>
  		</div>
  		<!-- ID source chemin taxon -->
		<div class="form-group">
		    <label for="idSourceCheminTaxon" class="col-sm-2 control-label">ID</label>
		    <div class="col-sm-4" id="inputID">
			    <input type="text" placeholder="Identifiant du taxon" name="idSourceCheminTaxon" id="idSourceCheminTaxon" class="form-control"/>
		    </div>
	  	</div>	  	

	  	<!-- entrée Taxon -->
		<div class="form-group">
		    <label for="entryCheminTaxon" class="col-sm-2 control-label">Entrée</label>
		    <div class="col-sm-2">
		    	<select class="form-control" id="langue-entryCheminTaxon">
		    			<?php
						foreach (variableGlobal::$scolomfr->abeLOMgetAvailableLanguages() as $key => $value) {
							echo "<option value =".$key.">". $value ."</option>";
						}
						?>
		    	</select>
		    </div>
		    <div class="col-sm-4" id="inputEntry">
		    	<div class="input-group">
			    	<input type="text" placeholder="Etiquette texte du taxon" name="entryCheminTaxon" id="entryCheminTaxon" class="form-control"/>
			    	<span class="input-group-btn">
						<button class="btn btn-default" onclick="ajout('entryCheminTaxon');" type="button">Ajouter</button>
					</span>			    	
		    	</div>
		    </div>
	  	</div>
  	</div>  
  	<div class="form-group">
  		<label for="liste-entryCheminTaxon" class="col-sm-2 control-label">Liste entrées</label>
  		<div class="col-sm-5">
  			<div class="input-group">
  				<select multiple id="liste-entryCheminTaxon" name="liste-entryCheminTaxon[]" class="form-control">

  				</select>
				<span class="input-group-btn" >
        			<button class="btn btn-default" onclick="supprime('entryCheminTaxon');" type="button">Supprimer</button>
      			</span>  				
  			</div>
  		</div>	
  	</div>	

  	<!-- Description -->
	<div class="form-group">
	    <label for="descriptionClassification" class="col-sm-2 control-label">Description</label>
	    <div class="col-sm-4">
		    <input type="text" placeholder="Description textuelle" name="descriptionClassification" id="descriptionClassification" class="form-control"/>
	    </div>
  	</div>

  	<!-- Descripteur -->	  	
	<div class="form-group">
	    <label for="descripteurClassification" class="col-sm-2 control-label">Descripeur</label>
	    <div class="col-sm-4">
		    <input type="text" placeholder="Description textuelle" name="descripteurClassification" id="descripteurClassification" class="form-control"/>
	    </div>
  	</div>

  	<div class="form-group">
  		<div class="col-sm-2 col-sm-offset-2">
  			<button type="button" onclick="ajoutClassification();" class="btn btn-default">
  				<span class="glyphicon glyphicon-plus"></span>
  				Ajout classification
  			</button> 
  		</div>
  	</div>

  	<div class="form-group">
	    <div class="col-sm-offset-2 col-sm-10"> 
	    	<button type="submit" onclick="validationScoLomFr();" class="btn btn-default">
	    		<span class="glyphicon glyphicon-floppy-disk" aria-hidden="true"></span>
	    		Terminer
	    	</button>
	    </div>
  	</div>
</div>

<script type="text/javascript">
	//Supprime un bloc de classification entier
	function supprimerClassification(element){
		heading = element.parentElement;
		panel = heading.parentElement;
		classification = panel.parentElement;
		liste = classification.parentElement;
		liste.removeChild(classification);
	}

	//Ajoute une classification
	function ajoutClassification(){
		if(document.getElementById("objectifClassification").value == 0){
			return null;
		}

		nbClassification = parseInt(document.getElementById("nbClassification").value);
		listeClassification = document.getElementById("liste-classification");
		presentationSection9 = document.getElementById("formSection9Presentation");
		structure = document.getElementById("structurePrésentationSection9");


		//Sauvegarder classification en cours
		objectif = document.getElementById("objectifClassification").value;
		nbTaxon = parseInt(document.getElementById("nbTaxonMax").value)-1;
		description = document.getElementById("descriptionClassification").value;
		descripteur = document.getElementById("descripteurClassification").value;
		listeSourceCheminTaxon = document.getElementById("liste-sourceCheminTaxon");

		//Création structure présentation
		newPresentation = structure.cloneNode(true);
		newPresentation.style.display = "block";
		presentationSection9.appendChild(newPresentation);
		newPresentation.getElementsByClassName("objectifPresentation")[0].appendChild(document.createTextNode(objectif));
		
		//Ajout des sources taxon path dans la présentation
		for (var i = 0; i < listeSourceCheminTaxon.options.length; i++) {
			textNode = document.createTextNode(listeSourceCheminTaxon.options[i].value);
			p = document.createElement('p');
			p.appendChild(textNode);

			if(listeSourceCheminTaxon.options[i+1] != null){
				p.appendChild(document.createElement("br"));
			}
			newPresentation.getElementsByClassName("sourceTaxonPathPresentation")[0].appendChild(p);
		};
		newPresentation.getElementsByClassName("nbTaxonPresentation")[0].appendChild(document.createTextNode(nbTaxon));
		table = newPresentation.getElementsByClassName("table")[0];
		tbody = document.createElement("tbody");
		
		//Ajout des taxons dans la présentation
		for (var i = 1; i <= nbTaxon; i++){
			//Création entré id dans le tableau
			var tr = document.createElement("tr");
			var td = document.createElement("td");
			td.appendChild(document.createTextNode(document.getElementById("idSourceCheminTaxon"+i).value));
			tr.appendChild(td);


			//Creation chanp caché id dans le tableau
			id = document.getElementById("idSourceCheminTaxon"+i);
			parent = id.parentElement;
			input = document.createElement("input");
			input.setAttribute("type", "hidden");
			input.setAttribute("id", "idSourceCheminTaxon"+i+"-"+nbClassification);
			input.setAttribute("name", "idSourceCheminTaxon"+i+"-"+nbClassification);
			input.setAttribute("value", id.value);
			tr.appendChild(input);
			parent.removeChild(id);			

			//Création présentation Entry
			listeEntryCheminTaxon = document.getElementById("liste-entryCheminTaxon"+i);
			var td = document.createElement("td");
			var p = document.createElement("span");
			for (var j = 0; j < listeEntryCheminTaxon.options.length; j++){
				text = document.createTextNode(listeEntryCheminTaxon.options[j].value);
				p.appendChild(text);
				if(listeEntryCheminTaxon.options[j+1] != null){
					p.appendChild(document.createElement("br"));
				}
			};
			td.appendChild(p);			
			tr.appendChild(td);


			td = document.createElement("td");
			deleteIcon = document.createElement("span");
			deleteIcon.setAttribute("class", "glyphicon glyphicon-trash");
			deleteIcon.setAttribute("onclick", "supprimerTaxon(this)");
			td.appendChild(deleteIcon);
			tr.appendChild(td);				

			//Creation champ caché entry
			listeEntryCheminTaxon = document.getElementById("liste-entryCheminTaxon"+i);
			/** test entrées avec langues */
			selectEntree = listeEntryCheminTaxon.cloneNode(true);
			selectEntree.multiple = true;
			selectEntree.setAttribute("id","liste-entryCheminTaxon"+i+"-"+nbClassification);
			selectEntree.setAttribute("name","liste-entryCheminTaxon"+i+"-"+nbClassification+"[]");
			selectEntree.style.display = "none";
			tr.appendChild(selectEntree);
			listeEntryCheminTaxon.parentElement.removeChild(listeEntryCheminTaxon);

			tbody.appendChild(tr);
		}
		table.appendChild(tbody);


		//Création des champs cachés
		input = document.createElement("input");
		input.setAttribute("type", "hidden");
		input.setAttribute("name", "objectifClassification"+nbClassification);
		input.setAttribute("id", "objectifClassification"+nbClassification);
		input.setAttribute("value", objectif);
		newPresentation.appendChild(input);

		

		//Source chemin taxon avec langues
		select = document.createElement("select");
		select.multiple = true;
		select.setAttribute("id","liste-sourceCheminTaxon"+nbClassification);
		select.setAttribute("name","liste-sourceCheminTaxon"+nbClassification+"[]");
		select.style.display = "none";
		for (var i = 0; i < listeSourceCheminTaxon.options.length; i++) {
			option = document.createElement("option");
			option.selected = true;
			option.setAttribute("value", listeSourceCheminTaxon.options[i].value);
			select.appendChild(option);
		};
		newPresentation.appendChild(select);

		//On vide la liste 
		while(listeSourceCheminTaxon.firstChild){
			listeSourceCheminTaxon.removeChild(listeSourceCheminTaxon.firstChild);
		}

		entree = document.getElementById("entryCheminTaxon");
		entree.value = "";

		input = document.createElement("input");
		input.setAttribute("type", "hidden");
		input.setAttribute("name", "nbTaxonMax"+nbClassification);
		input.setAttribute("id", "nbTaxonMax"+nbClassification);
		input.setAttribute("value", nbTaxon);
		newPresentation.appendChild(input);

		input = document.createElement("input");
		input.setAttribute("type", "hidden");
		input.setAttribute("name", "descriptionClassification"+nbClassification);
		input.setAttribute("id", "descriptionClassification"+nbClassification);
		input.setAttribute("value", description);
		newPresentation.appendChild(input);

		input = document.createElement("input");
		input.setAttribute("type", "hidden");
		input.setAttribute("name", "descripteurClassification"+nbClassification);
		input.setAttribute("id", "descripteurClassification"+nbClassification);
		input.setAttribute("value", descripteur);
		newPresentation.appendChild(input);

		document.getElementById("objectifClassification").value = "";
		document.getElementById("sourceCheminTaxon").value = "";
		document.getElementById("nbTaxonMax").value = "1";
		document.getElementById("descriptionClassification").value = "";
		document.getElementById("descripteurClassification").value = "";

		//vider les champs
		document.getElementById("nbTaxon").max = 1;
		document.getElementById("nbTaxon").value = 1;
		document.getElementById("nbClassification").value = nbClassification+1;
	}

	function changementObjectif(value){
		if(value.value == 0){
			document.getElementById("sourceCheminTaxon").disabled = true;
			nbTaxon = document.getElementById("nbTaxonMax").value;
			for (var i = 1; i <= nbTaxon; i++) {
				document.getElementById("idSourceCheminTaxon"+i).disabled = true;
			};

			for (var i = 1; i <= nbTaxon; i++) {
				document.getElementById("entryCheminTaxon"+i).disabled = true;
			};

			document.getElementById("descriptionClassification").disabled = true;

			document.getElementById("descripteurClassification").disabled = true;

			document.getElementById("boutonAjoutTaxon").disabled = true;
		}else{
			nbTaxon = document.getElementById("nbTaxonMax").value;
			document.getElementById("sourceCheminTaxon").disabled = false;
			document.getElementById("descriptionClassification").disabled = false;
			document.getElementById("descripteurClassification").disabled = false;

			document.getElementById("boutonAjoutTaxon").disabled = false;


			for (var i = 1; i < nbTaxon; i++) {
				document.getElementById("idSourceCheminTaxon"+i).disabled = false;	
				document.getElementById("entryCheminTaxon"+i).disabled = false;		
			};
		}
	}



	function addTaxon(taxon1, taxon2){
		nbTaxon = document.getElementById("nbTaxon").max;
		divTaxon = document.getElementById("taxon");

		//Récupère les anciens champs
		oldIdTaxon = document.getElementById("idSourceCheminTaxon");
		listeEntryCheminTaxon = document.getElementById("liste-entryCheminTaxon");
		


		nbTaxon = document.getElementById("nbTaxon").max;

		//Création des nouveaux input
		newIdTaxon = document.createElement("input");
		newIdTaxon.setAttribute("id","idSourceCheminTaxon"+nbTaxon.toString());
		newIdTaxon.setAttribute("name", "idSourceCheminTaxon"+nbTaxon.toString());
		newIdTaxon.setAttribute("class", 'form-control');
		newIdTaxon.setAttribute("value", oldIdTaxon.value);

		
		newEntry = listeEntryCheminTaxon.cloneNode(true);
		newEntry.setAttribute("id", "liste-entryCheminTaxon"+nbTaxon.toString());
		newEntry.multiple = true;
		newEntry.setAttribute("name", "liste-entryCheminTaxon"+nbTaxon.toString()+"[]");
		newEntry.setAttribute("class", "form-control");

		while(listeEntryCheminTaxon.firstChild){
			listeEntryCheminTaxon.removeChild(listeEntryCheminTaxon.firstChild);
		}

		//Ajout dans le formulaire
		oldIdTaxon.parentElement.appendChild(newIdTaxon);
		
		listeEntryCheminTaxon.parentElement.appendChild(newEntry);

		//Vide les champs Id et Entry
		oldIdTaxon.value =  "";
		document.getElementById("entryCheminTaxon").value =  "";

		//On supprime l'affichage des anciens input
		newIdTaxon.style.display = 'none';
		newEntry.style.display = 'none';
		
		//Gestion compteurs
		nbTaxon = document.getElementById("nbTaxon").max = parseInt(document.getElementById("nbTaxon").max) +1;
		document.getElementById("nbTaxon").value = nbTaxon;
		document.getElementById("nbTaxonMax").value = nbTaxon.toString();
	}

	function changementTaxon(nb){
		nbTaxon = document.getElementById("nbTaxon").max;
		divTaxon = document.getElementById("taxon");

		if (nbTaxon > nb.value && nb.value > 0) {
			
			for(var i = 1; i < parseInt(nbTaxon); i++){
				id = document.getElementById("idSourceCheminTaxon"+i.toString());

				id.style.display = "none";

				entry = document.getElementById("liste-entryCheminTaxon"+i.toString());
				entry.style.display = "none";
			}

			//Champs en cours
			id = document.getElementById("idSourceCheminTaxon");
			id.style.display = "none";
			entry = document.getElementById("liste-entryCheminTaxon");
			entry.style.display = "none";

			newId = document.getElementById("idSourceCheminTaxon"+nb.value);
			newId.style.display = "block";

			newEntry = document.getElementById("liste-entryCheminTaxon"+nb.value);
			newEntry.style.display = "block";
		}else if(nbTaxon == nb.value){
			for(var i = 1; i < parseInt(nbTaxon); i++){
				id = document.getElementById("idSourceCheminTaxon"+i.toString());

				id.style.display = "none";

				entry = document.getElementById("liste-entryCheminTaxon"+i.toString());
				entry.style.display = "none";
			}

			newId = document.getElementById("idSourceCheminTaxon");
			newId.style.display = "block";

			newEntry = document.getElementById("liste-entryCheminTaxon");
			newEntry.style.display = "block";
		};
	}

	function supprimerTaxon(elem){
		span = elem.parentElement;
		td = span.parentElement;
		tr = td.parentElement;
		tbody = tr.parentElement;

		//tbody = document.getElementById("bodyTableAnnotation");
		tr.removeChild(td);		
	}
</script>