<?php

include_once "abuleduscolomfrv1.php";
include_once "gestionZip.php";

//Creation d'un objet ScolomFR
$scolomfr = new AbulEduSCOLOMFrV1();

//Section 1 
//1.2 Titre
foreach ($_POST["liste-titreGeneral"] as $value) {
	$titre = explode(":",$value);
	$key = $titre[0];
	unset($titre[0]);

	$titre = implode(":", $titre);

	$scolomfr->abeLOMsetGeneralTitle($key, $titre);
}


//1.3 Langue 
$scolomfr->abeLOMsetGeneralLanguage($_POST["generalLanguage"]);

//1.4 Description
foreach ($_POST["liste-descriptionGenerale"] as $key => $value) {
	$descriptionGenerale = explode(":",$value);
	$key = $descriptionGenerale[0];
	unset($descriptionGenerale[0]);

	$descriptionGenerale = implode(":", $descriptionGenerale);

	$scolomfr->abeLOMaddGeneralDescription($key, $descriptionGenerale);
}

//1.5 Mot clé libre
foreach ($_POST["liste-motCle"] as $key => $value) {
	$motCle = explode(":",$value);
	$key = $motCle[0];
	unset($motCle[0]);
	$motCle = implode(":", $motCle);

	$scolomfr->abeLOMaddGeneralKeyword($key, $motCle);
}

//1.6 Couvertue
if(isset($_POST["liste-couverture"])){
	foreach ($_POST["liste-couverture"] as $key => $value) {

		$coverage = explode(":",$value);
		$key = $coverage[0];
		unset($coverage[0]);
		$coverage = implode(":", $coverage);

		$scolomfr->abeLOMaddGeneralCoverage($key, $coverage);
	}
}

//1.7 Structure
$scolomfr->abeLOMsetGeneralStructure($_POST["generalStructure"]);

//1.8 Niveau d'agrégation
$scolomfr->abeLOMsetGeneralAggregationLevel($_POST["niveauAgregation"]);

//1.9 Type documentaire == 5.2 ?
if(isset($_POST["liste-typeDocumentaire"])){
	foreach ($_POST["liste-typeDocumentaire"] as $key => $value) {
		$scolomfr->abeLOMaddGeneralDocumentType($value);
	}
}

//1.10 Typologie générale de documents
if(isset($_POST["liste-typeDocumentaire"])){
	foreach ($_POST["liste-typologieGeneraleDocument"] as $key => $value) {	
		$scolomfr->abeLOMaddGeneralDocumentTypology($value);
	}
}

//Section 2

//Version
if(isset($_POST["liste-version"])){
	foreach ($_POST["liste-version"] as $versionBrut) {
		$version = explode(":", $versionBrut);
		$langVersion = $version[0];
		$version = $version[1];

		$scolomfr->abeLOMsetLifeCycleVersion($langVersion, $version);
	}
}
//Status
$status = $_POST["etat"];
$scolomfr->abeLOMsetLifeCycleStatus($status);

//Contributions


for ($i=0; $i < $_POST["nbContributions"]; $i++) {
	if(isset($_POST["role".$i])){
		$date = DateTime::createFromFormat('Y-m-d', $_POST['date'.$i]);
		$role = $_POST["role".$i];
		$vcard = File_IMC::build('vCard');
		$vcard->set("FN", $_POST["FNEntité".$i]);
		$vcard->set("TEL", $_POST["TelEntité".$i]);
		$vcard->set("EMAIL", $_POST["EmailEntité".$i]);
	}

	$scolomfr->abeLOMaddLifeCycleContributionRole($role, $vcard, $date);
}








//Section 3
$scolomfr->abeLOMsetMetaMetadataIdentifierEntry($_POST["entréeMetaMetadata"]);
$scolomfr->abeLOMsetMetaMetadataIdentifierCatalog($_POST["catalogueMetaMetadata"]);

for ($i=0; $i < $_POST["nbContributionsMetaMetadata"]; $i++) {
	if(isset($_POST["roleMetaMetadata".$i])){
		$date = DateTime::createFromFormat('Y-m-d', $_POST['dateMetaMetadata'.$i]);
		$role = $_POST["roleMetaMetadata".$i];
		$vcard = File_IMC::build('vCard');
		$vcard->set("FN", $_POST["FNEntitéMetaMetadata".$i]);
		$vcard->set("TEL", $_POST["TelEntitéMetaMetadata".$i]);
		$vcard->set("EMAIL", $_POST["EmailEntitéMetaMetadata".$i]);
	}
	$scolomfr->abeLOMaddMetaMetadataContribute($role, $vcard, $date);
}
if(isset($_POST["liste-schémaMétadonnées"])){
	foreach ($_POST["liste-schémaMétadonnées"] as  $value) {
		$scolomfr->abeLOMaddMetaMetadataMetadataSchema($value);
	}
}
$scolomfr->abeLOMsetMetaMetadataLanguage($_POST["languageMetaMetadata"]);



//Section 4
//4.1 Format
if(isset($_POST["liste-format"])){	
	foreach($_POST["liste-format"] as $key => $value){
		$scolomfr->abeLOMaddTechnicalFormat($value);
	}
}
//$scolomfr->abeLOMaddTechnicalFormat($_POST["format"]);

//4.2 Taille du fichier

$scolomfr->abeLOMsetTechnicalSize($_POST["taille"]);

//4.3 Localisation
if(isset($_POST["liste-localisation"])){	
	foreach($_POST["liste-localisation"] as $key => $value){
		$scolomfr->abeLOMaddTechnicalLocation($value);
	}
}
//$scolomfr->abeLOMaddTechnicalLocation($_POST["localisation"]);

//4.5 Remarques d'installation (inutil pour l'instant)
//$scolomfr->abeLOMsetTechnicalInstallationRemarks($lang, $_POST["remarqueInstallation"]);




//Section 5
//5.1 on oublie pour l'instant 


//5.2 Type pedagogique
if(isset($_POST["liste-typePedagogique"])){	
	foreach ($_POST["liste-typePedagogique"] as $key => $value) {
		$scolomfr->abeLOMaddEducationalLearningResourceType($value);
	}
}
//Public Cible 
if(isset($_POST["liste-publicCible"])){	
	foreach ($_POST["liste-publicCible"] as $key => $value) {
		$scolomfr->abeLOMaddEducationalIntendedEndUserRole($value);
	}
}

//Niveau
if(isset($_POST["liste-niveau"])){	
	foreach ($_POST["liste-niveau"] as $key => $value) {
		$scolomfr->abeLOMaddEducationalContext($value);
	}
}
//Age

if(isset($_POST["liste-age"])){	
	foreach ($_POST["liste-age"] as $key => $value) {

		$age = explode(":",$value);
		$key = $age[0];
		unset($age[0]);
		$age = implode(":", $age);

		$scolomfr->abeLOMaddEducationalTypicalAgeRange($key, $age);
	}
}
//Dfficulté
$scolomfr->abeLOMsetEducationalDifficulty($_POST["difficulté"]);

//durée apprentissage
$scolomfr->abeLOMsetEducationalTypicalLearningTime($_POST["duréeApprentissage"]);

//Proposition Utilisation 
if(isset($_POST["liste-propositionUtilisation"])){	
	foreach ($_POST["liste-propositionUtilisation"] as $key => $value) {
		$proposition = explode(":",$value);
		$key = $proposition[0];
		unset($proposition[0]);
		$proposition = implode(":", $proposition);

		$scolomfr->abeLOMaddEducationalDescription($key, $proposition);
	}
}
//Langue utilisateur

if(isset($_POST["liste-langueUtilisateur"])){	
	foreach ($_POST["liste-langueUtilisateur"] as $value) {
		$scolomfr->abeLOMaddEducationalLanguage($value);
	}
}

//Activités induites
if(isset($_POST["liste-activitésInduites"])){	
	foreach ($_POST["liste-activitésInduites"] as $value) {
		$scolomfr->abeLOMaddEducationalActivities($value);
	}
}
//Validation des acquis
if(isset($_POST["liste-validationAcquis"])){	
	foreach ($_POST["liste-validationAcquis"] as $value) {

		$validation = explode(":",$value);
		$key = $validation[0];
		unset($validation[0]);
		$validation = implode(":", $validation);

		$scolomfr->abeLOMaddEducationalValidation($key, $validation);
	}
}
//Lieu

if(isset($_POST["liste-lieu"])){	
	foreach ($_POST["liste-lieu"] as $value) {
		$scolomfr->abeLOMaddEducationalLocation($value);
	}
}

//Modalité pédagogique
if(isset($_POST["liste-modalitéPédagogique"])){	
	foreach ($_POST["liste-modalitéPédagogique"] as $value) {
		$scolomfr->abeLOMaddEducationalPedagogicModality($value);
	}
}

//Outil
if(isset($_POST["liste-outil"])){	
	foreach ($_POST["liste-outil"] as $value) {
		$scolomfr->abeLOMaddEducationalTools($value);
	}
}
//Section 6 Droits
//6.1 Cout
$scolomfr->abeLOMsetRightsCost($_POST["cout"]);
//6.2 Droit d'auteur

$scolomfr->abeLOMsetRightsCopyrightAndOtherRestrictions($_POST["droitAuteur"]);

//6.3 Description
//$scolomfr->abeLOMsetRightsDescription($lang,$_POST["descriptionDroit"]);
if(isset($_POST["liste-descriptionDroit"])){	
	foreach ($_POST["liste-descriptionDroit"] as $value) {
		$descriptionDroit = explode(":",$value);
		$key = $descriptionDroit[0];
		unset($descriptionDroit[0]);
		$descriptionDroit = implode(":", $descriptionDroit);

		$scolomfr->abeLOMsetRightsDescription($key, $descriptionDroit);
	}
}

//Section 7 TODO : Multi Relation

for ($i=1; $i < $_POST["nbRelation"]; $i++){
	$descriptionRelationList = array();
	$descriptionRelation = new LomLS();
	foreach ($_POST["liste-descriptionRelation".$i] as $key => $value) {
		$descriptionRelationValue = explode(":",$value);
		$key = $descriptionRelationValue[0];
		unset($descriptionRelationValue[0]);
		$descriptionRelationValue = implode(":", $descriptionRelationValue);
		$descriptionRelation->add($key, $descriptionRelationValue);
	}
	$scolomfr->abeLOMaddRelation($_POST["typeRelation".$i], $_POST["catalogueRelation".$i], $_POST["entréeRelation".$i], $descriptionRelation);
}

//Section 8
for ($i=0; $i < $_POST["nbAnnotation"]; $i++) { 
	if(isset($_POST["FNEntitéAnnotation".$i])){
		
		$date = DateTime::createFromFormat('Y-m-d', $_POST['dateAnnotation'.$i]);
		
		$vcard = File_IMC::build('vCard');
		$vcard->set("FN", $_POST["FNEntitéAnnotation".$i]);
		$vcard->set("TEL", $_POST["TelEntitéAnnotation".$i]);
		$vcard->set("EMAIL", $_POST["EmailEntitéAnnotation".$i]);

		$descriptionLomLS = new LomLS();
		foreach ($_POST["liste-descriptionAnnotation".$i] as  $descriptionBrut) {
			$descriptionTab = explode(":", $descriptionBrut);
			$lang = array_shift($descriptionTab);
			$description = implode(":", $descriptionTab);

			$descriptionLomLS->set($lang, $description);
		}

		$scolomfr->abeLOMaddAnnotation($vcard, $date, $descriptionLomLS);
	}
}



//Section 9
//Ajout classification (Affichage a faire apres)

//liste des classifications

for ($i=1; $i < $_POST["nbClassification"]; $i++) {

	$objectif = $_POST["objectifClassification".$i];
	$sourceTaxonPath = new LomLS();

	$scolomfr->abeLOMaddClassificationPurpose($objectif, $sourceTaxonPath, null, null);
	foreach ($_POST["liste-sourceCheminTaxon".$i] as  $value) {
		$sourceCheminTaxon = explode(":",$value);
		$key = $sourceCheminTaxon[0];
		unset($sourceCheminTaxon[0]);
		$sourceCheminTaxon = implode(":", $sourceCheminTaxon);

		$sourceTaxonPath->add($key, $sourceCheminTaxon);
	}


	for ($j=1; $j <= $_POST["nbTaxonMax".$i] ; $j++) {

		$listeEntryTaxon = array();
		//Id
		if($_POST["idSourceCheminTaxon".$j."-".$i]){
			$idTaxon = $_POST["idSourceCheminTaxon".$j."-".$i];
		}else{
			$idTaxon = "";
		}

		
		//Entry
		$entryTaxon = new LomLS();
		foreach ($_POST["liste-entryCheminTaxon".$j."-".$i] as  $value) {
			if($value != "" && $value != null){
				$entryCheminTaxon = explode(":",$value);
				$key = $entryCheminTaxon[0];
				unset($entryCheminTaxon[0]);
				$entryCheminTaxon = implode(":", $entryCheminTaxon);

				$entryTaxon->add($key, $entryCheminTaxon);
			}
		}

		array_push($listeEntryTaxon, $entryTaxon);

		if($entryTaxon->toString() != "")
			$scolomfr->abeLOMaddClassificationPurpose($objectif, $sourceTaxonPath, $idTaxon, $entryTaxon);
		
	}
}



//Création du xml à retourner
if($_POST["zipName"] == "null"){

	$f = fopen($_POST["fileName"], "w+");

	if($f == false){
		echo "on peut pas ouvrir un fichier <br>";
	}

	fputs($f,$scolomfr->abeLOMExportAsXML()->saveXML());
	fclose($f);
}else{
	//Création du fichier lom.xml
	$f = fopen("lom.xml", "w+");
	if($f == false){
		echo "on peut pas ouvrir un fichier <br>";
	}
	fputs($f,$scolomfr->abeLOMExportAsXML()->saveXML());
	fclose($f);

	//Creation du .abb/.abe et insertion du lom

	$zip = new gestionZip($_POST["zipName"]);
	$zip->fromFile("abeTemp.abb");
	$zip->removefile("lom.xml");
	$zip->addLomXml("lom.xml");

	unlink("abeTemp.abb");
}

?>



<html>
<head>
	<meta charset="UTF-8"/>
	
	<link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.min.css"/>
	<title>ScoLom</title>
</head>
<body>
	<div class="container">
		<div class="page-header">
			<h1>ScoLom</h1>
			<p class="lead">Du texte...</p>
		</div>

		<p>Validation Abuledu : <?php echo $_POST["validationAbuleduPourcentage"]?></p>
		<form action="index.php" method="post">
			<input type="hidden" name="telechargementLom" value="1" id="telechargement">
			<button type="submit" class="btn btn-default">
				<span class="glyphicon glyphicon-download-alt" aria-hidden="true"></span>
				Telecharger xml
			</button>
		</form>

		<?php
		if(isset($_POST["zipName"])){
		?>
			<form action="index.php" method="post">
				<input type="hidden" name="telechargementZip" value="1" id="telechargement">
				<input type="hidden" name="zipName" value="<?php echo $_POST['zipName']?>"> 
				<button type="submit" class="btn btn-default">
					<span class="glyphicon glyphicon-download-alt" aria-hidden="true"></span>
					Telecharger Archive
				</button>
			</form>
		<?php		
		}
		?>

		<a href="index.php" class="btn btn-default">Retour Accueil</a>
			
		<a href="javascript:history.go(-1)" class="btn btn-default" >
			<span class="glyphicon glyphicon-pencil" aria-hidden="true"></span>
			Modifier
		</a>
	</div>
</body>
</html>

